package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class MemberManagementFactory
{
    private MemberManagementFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IMemberManagement getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IMemberManagement)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B49500FE") ,com.kingdee.eas.hr.project.IMemberManagement.class);
    }
    
    public static com.kingdee.eas.hr.project.IMemberManagement getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IMemberManagement)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B49500FE") ,com.kingdee.eas.hr.project.IMemberManagement.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IMemberManagement getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IMemberManagement)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B49500FE"));
    }
    public static com.kingdee.eas.hr.project.IMemberManagement getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IMemberManagement)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B49500FE"));
    }
}